summaryrefslogtreecommitdiffstats
path: root/testsuite/reloc2.sh
diff options
context:
space:
mode:
Diffstat (limited to 'testsuite/reloc2.sh')
-rwxr-xr-xtestsuite/reloc2.sh6
1 files changed, 4 insertions, 2 deletions
diff --git a/testsuite/reloc2.sh b/testsuite/reloc2.sh
index ca043b0..6560879 100755
--- a/testsuite/reloc2.sh
+++ b/testsuite/reloc2.sh
@@ -12,12 +12,14 @@ $CC -shared $SHFLAGS -O2 -o reloc2lib2.so $srcdir/reloc2lib2.c \
BINS="reloc2"
LIBS="reloc2lib1.so reloc2lib2.so"
$CCLINK -o reloc2 $srcdir/reloc2.c -Wl,--rpath-link,. reloc2lib2.so
-strip -R .comment $BINS $LIBS
+$STRIP -R .comment $BINS $LIBS
savelibs
echo $PRELINK ${PRELINK_OPTS--vm} ./reloc2 > reloc2.log
$PRELINK ${PRELINK_OPTS--vm} ./reloc2 >> reloc2.log 2>&1 || exit 1
grep -q ^`echo $PRELINK | sed 's/ .*$/: /'` reloc2.log && exit 2
-LD_LIBRARY_PATH=. ./reloc2 || exit 3
+if [ "x$CROSS" = "x" ]; then
+ LD_LIBRARY_PATH=. ./reloc2 || exit 3
+fi
readelf -a ./reloc2 >> reloc2.log 2>&1 || exit 4
# So that it is not prelinked again
chmod -x ./reloc2